Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1485508 - [docs][tripleo/ceph] Fix Backwards compatibility with older versions of Red Hat Ceph storage
Summary: [docs][tripleo/ceph] Fix Backwards compatibility with older versions of Red H...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: async
: 10.0 (Newton)
Assignee: Laura Marsh
QA Contact: Kim Nylander
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-25 21:55 UTC by Peter Kovacs
Modified: 2019-10-02 20:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 14:43:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Peter Kovacs 2017-08-25 21:55:12 UTC
In chapter "3.7. Backwards compatibility with older versions of Red Hat Ceph storage" of the document "Red Hat Ceph Storage for The Overcloud" (https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/red_hat_ceph_storage_for_the_overcloud/#backwards_compatibility_with_older_versions_of_red_hat_ceph_storage) our documentation describes the following environment file:

parameter_defaults:
  ExtraConfig:
    ceph::conf::args:
      client/rbd_default_features:
        value: "1"

While the upstream document (https://docs.openstack.org/tripleo-docs/latest/install/advanced_deployment/ceph_external.html) says:

Last but not least, from the Newton release TripleO will install Ceph Jewel. If the external Ceph cluster uses the Hammer release instead, you should also pass the following parameters to enable backward compatibility features:

parameter_defaults:
  ExtraConfig:
    ceph::profile::params::rbd_default_features: '1'

Based on the input received from a customer the upstream documentation is correct.

Comment 1 Lucy Bopf 2018-04-23 03:10:52 UTC
Assigning to Laura for review.

Laura, this looks like a relatively simple fix that applies to the RHOSP 10 book (the osp10-newton branch). I'd recommend confirming the suggested fix with somebody from the Ceph DFG before applying it.

Comment 3 John Fulton 2018-04-27 14:43:36 UTC
The OSP10 documentation is correct and has already been vetted. See: 

 https://bugzilla.redhat.com/show_bug.cgi?id=1385034

Both syntaxes are valid, however the upstream one relies on the following puppet-ceph patch having landed which may not be the case for all OSP10 users. Thus, it's safer to leave the OSP10 documentation as is.

 https://review.openstack.org/#/c/283359/


Note You need to log in before you can comment on or make changes to this bug.